// router/index.js
import Vue from "vue";
import VueRouter from "vue-router";
import Home from "../views/home/Index.vue";

Vue.use(VueRouter);

const routes = [
  {
    path: "/",
    redirect: "/login",
  },
  {
    path: "/home",
    redirect: "/home/cockpitManage",
    name: "home",
    component: Home,
    children: [
      // 驾驶舱
      {
        path: "cockpitManage",
        name: "cockpitManage",
        component: () => import("../views/admin/cockpitManage/Index.vue"),
        children: [
          // 电子地图
          {
            path: "electronic-map",
            name: "electronicMap",
            component: () =>
              import("../views/admin/cockpitManage/electronicMap.vue"),
          },
        ],
      },
    ],
  },
  {
    path: "/login",
    name: "login",
    component: () => import("../views/login/Index.vue"),
  },
];

const router = new VueRouter({
  mode: "history",
  base: process.env.BASE_URL,
  scrollBehavior: () => ({ y: 0 }),
  routes,
});

const originalPush = VueRouter.prototype.push;
VueRouter.prototype.push = function push(location) {
  return originalPush.call(this, location).catch((err) => err);
};

export default router;
